/* slurp-download-widget.h
 *
 * Copyright © 2018 Julian Richen <julian@richen.io>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SLURP_DOWNLOAD_WIDGET_H
#define SLURP_DOWNLOAD_WIDGET_H

#include "slurp-gtk-config.h"
//#include "slurp-download-item-widget.h"

#include <slurp/slurp.h>

#include <glib-object.h>
#include <glib.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define SLURP_TYPE_DOWNLOAD_WIDGET (slurp_download_widget_get_type ())

G_DECLARE_FINAL_TYPE (SlurpDownloadWidget, slurp_download_widget, SLURP, DOWNLOAD_WIDGET, GtkBin)

struct _SlurpDownloadWidget
{
	GtkBin parent_instance;
};

typedef struct _StructTestWidget
{
    int test;
} StructTestWidget;

SlurpDownloadWidget *
slurp_download_widget_new (SlurpManager *manager);
/*
gboolean
slurp_download_widget_add (SlurpDownloadWidget     *self,
                           SlurpDownloadItemWidget *item);
*/
G_END_DECLS

#endif /* SLURP_DOWNLOAD_WIDGET_H */
